/*
*===============================================================================
*
* d/wilson_d501/get_mpi_consts.c 
*
*-------------------------------------------------------------------------------
*
* Copyright (C) 2006 Thomas Streuer 
*
* This file is part of BQCD -- Berlin Quantum ChromoDynamics program
*
* BQCD is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* BQCD is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with BQCD.  If not, see <http:*www.gnu.org/licenses/>.
*
*-------------------------------------------------------------------------------
*/
#include <stdlib.h>
#include <stdio.h>
#include <mpi.h>

int main()
{
  printf("#define ASM_MPI_SUM %i\n", MPI_SUM);
  printf("#define ASM_MPI_MAX %i\n", MPI_MAX);
  printf("#define ASM_MPI_INTEGER %i\n", MPI_INTEGER);
  printf("#define ASM_MPI_INTEGER8 %i\n", MPI_INTEGER8);
  printf("#define ASM_MPI_COMM_WORLD %i\n", MPI_COMM_WORLD);
  return 0;
}
